package com.base.datarecovery.bean

import com.base.datarecovery.utils.AppPreferences

object ConstObject {

    const val ID_JUNK_CLEAN_PUSH = 11001
    const val ID_SIMILAR_IMAGE = 11015
    const val ID_SCREENSHOT_CLEAN = 12000
    const val ID_RECOVERY_PHOTOS = 13000
    const val ID_RECOVERY_VIDEOS = 13001
    const val ID_RECOVERY_DOCUMENTS = 13002
    const val ID_PRIVACY_SPACE = 13003

    const val RECOVERY_PHOTOS = "Recovery Photos"
    const val RECOVERY_VIDEOS = "Recovery Videos"
    const val RECOVERY_DOCUMENTS = "Recovery Documents"
    const val JUNK_CLEANER = "Junk Cleaner"
    const val REPEAT_PHOTOS = "Repeat Photos"
    const val PHOTO_COMPRESS = "Photo Compress"
    const val SCREENSHOT_CLEANER = "Screenshot Cleaner"
    const val PRIVACY_SPACE = "Privacy Space"

    const val SCAN_PHOTOS = 1
    const val SCAN_DOCUMENTS = 2
    const val SCAN_VIDEOS = 3


    var ifAgreePrivacy = false
        get() {
            return AppPreferences.getInstance().getBoolean("ifAgreePrivacy", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("ifAgreePrivacy", value, true)
        }
    var isGuide = false
        get() {
            return AppPreferences.getInstance().getBoolean("isGuide", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("isGuide", value, true)
        }

    var rememberOption = false
        get() {
            return AppPreferences.getInstance().getBoolean("rememberOption", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("rememberOption", value, true)
        }

    var rememberRemove = false
        get() {
            return AppPreferences.getInstance().getBoolean("rememberRemove", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("rememberRemove", value, true)
        }


    var privacyPinPassword = ""
        get() {
            return AppPreferences.getInstance().getString("privacyPinPassword", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("privacyPinPassword", value, true)
        }

    var stayNotification = true
        get() {
            return AppPreferences.getInstance().getBoolean("stayNotification", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("stayNotification", value, true)
        }
    var fcmNotification = true
        get() {
            return AppPreferences.getInstance().getBoolean("fcmNotification", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("fcmNotification", value, true)
        }

}